%define pkg_name        Audio-SID
%define pkg_version     3.11
%define rpm_pkg_version 3.11
%define rpm_pkg_release 1.n0i.2

Summary:       Perl module to handle SID files (Commodore-64 music files)
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LA/LALA/%{pkg_name}-%{pkg_version}.tgz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module is designed to handle SID files (usually bearing a .sid
extension), which are music player and data routines converted from the
Commodore-64 computer with an additional informational header prepended.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/Audio/SIDtest.pl
%doc Changes README SID_file_format.txt


%changelog
* Fri Jun 08 2007 Marius Feraru <altblue@n0i.net> - 3.11-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 3.11

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 3.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.015
- rebuild on perl 5.8.7
